For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETList WhatsApp accounts
            • GETGet WhatsApp account
            • PATCHUpdate WhatsApp account
            • DELDelete WhatsApp account
          • POSTOutbound call via WhatsApp
          • POSTOutbound message via WhatsApp
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWhatsAppAccounts

List WhatsApp accounts

GET
/v1/convai/whatsapp-accounts
GET
/v1/convai/whatsapp-accounts
$curl https://api.elevenlabs.io/v1/convai/whatsapp-accounts \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "business_account_id": "1789632547896321",
5 "phone_number_id": "5432167890123456",
6 "business_account_name": "Acme Corp Support",
7 "phone_number_name": "Acme Support Line",
8 "phone_number": "+14155552671",
9 "assigned_agent_name": "Jane Doe",
10 "assigned_agent_id": "agent_987654321",
11 "enable_messaging": true,
12 "enable_audio_message_response": true,
13 "is_token_expired": false
14 }
15 ]
16}
List all WhatsApp accounts
Was this page helpful?
Previous

Get WhatsApp account

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
itemslist of objects

Errors

422
Unprocessable Entity Error